package LasTres::EnemyArea;

use v5.36.0;
use strict;
use warnings;

use Moo;
use LasTres::Enemy;

has race => (
    is       => 'rw',
    required => 1,
);

has nick => (
    is       => 'rw',
    required => 1,
);

has level => (
    is       => 'rw',
    required => 1,
);

sub generate ( $self, $team ) {
    return LasTres::Enemy->new(
        race  => $self->race,
        nick  => $self->nick,
        level => $self->level,
        team  => $team,
    );
}
1;
